Bug 1141839 - EAP6 resource stays UP in resource tree after its configuration directory was moved
Summary: EAP6 resource stays UP in resource tree after its configuration directory was...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER04
: JON 3.3.0
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-15 14:51 UTC by Jan Bednarik
Modified: 2014-12-11 14:03 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:03:04 UTC


Attachments (Terms of Use)

Description Jan Bednarik 2014-09-15 14:51:49 UTC
Description of problem:

When the EAP is shutdown, its configuration directory is moved and it is started again, there appears a new EAP resource in discovery queue (which is correct), but the old one stays in the resource tree with the status UP, while it should be DOWN or MISSING.

Version-Release number of selected component (if applicable):
JON 3.3.0 ER02

How reproducible:
always

Steps to Reproduce:
1. Install JON 3.3.0 server and remote agent monitoring EAP6 standalone.
2. Make sure that EAP6 standalone appears as UP in inventory.
3. Shutdown EAP6.
4. Move the configuration directory:
mv ~/jboss-eap-6.3/standalone/configuration ~/jboss-eap-6.3/standalone/newdir/configuration

5. Start EAP6: ./standalone.sh -Djboss.server.config.dir=~/jboss-eap-6.3/standalone/newdir/configuration

6. In JON UI notice that a new EAP resource appears in the discovery queue while the old EAP6 still appears as UP in inventory.


Actual results:
The original EAP6 resource is still visible as UP (available).

Expected results:
The original EAP6 resource is DOWN or MISSING.

Additional info:
If you inventory the newly discovered EAP6 resource, there will be two of them displayed in the resource tree, both shown as UP, but it would not be possible to perform certain operations (Install RHQ user) on the original one (see BZ 1093370).

Comment 1 Thomas Segismont 2014-09-18 15:41:25 UTC
Fixed in master

commit c031e59471dbab91502eb37eeb53861014ea9daf
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Thu Sep 18 17:40:15 2014 +0200
    
    Now validate configDir (not only baseDir) when resource component is started or avail goes UP

Comment 3 Jay Shaughnessy 2014-09-24 19:39:54 UTC
Release/jon3.3.x commit 5db1c8c426c9c28643786bc7c03f28c793cad398
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Thu Sep 18 17:40:15 2014 +0200

    (cherry picked from commit c031e59471dbab91502eb37eeb53861014ea9daf)
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>

Comment 4 Simeon Pinder 2014-10-01 21:33:27 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959


Note You need to log in before you can comment on or make changes to this bug.